Feature: Favorite Properties

  Scenario: User can view their favorite properties from profile
    Given there exists following accounts
      | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
      | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
      | Property | Owner   | 2000-01-01 | 111          | property.owner@gmail.com   | password | password         |
    And the following properties exist
      | title                | description                      | type | property_type | state     | location | room_count | area  | floor | floor_count | price  |
      | Really cool property | Selling this really really house | sell | house         | available | London   | 3          | 100.0 | 2     | 5           | 500000 |
      | Another property     | Another cool house               | sell | house         | available | Paris    | 4          | 120.0 | 1     | 4           | 600000 |
    And I am logged in as random user
    And the property "Really cool property" is in my favorites
    When I visit my profile page
    And I click "My favorites" button
    Then I should see "My Favorite Properties"
    And I should see "Really cool property"
    And I should not see "Another property"

  Scenario: User can navigate to property details from favorites
    Given there exists following accounts
      | name     | surname  | birth_date  | phone_number | email                       | password | confirm_password |
      | Existing | Account  | 2000-01-01  | 000         | existing.account@gmail.com  | password | password         |
      | Property | Owner    | 2000-01-01  | 111         | property.owner@gmail.com    | password | password         |
    And the following properties exist
      | title                | description                     | type | property_type | state     | location | room_count | area   | floor | floor_count | price   |
      | Really cool property | Selling this really really house| sell | house        | available | London   | 3          | 100.0  | 2     | 5           | 500000  |
    And I am logged in as random user
    And the property "Really cool property" is in my favorites
    When I visit my profile page
    And I click "My favorites" button
    And I click "View more" for "Really cool property"
    Then I should be on the details page for "Really cool property"

  Scenario: User sees empty message when no favorites
    Given there exists following accounts
      | name     | surname  | birth_date  | phone_number | email                       | password | confirm_password |
      | Existing | Account  | 2000-01-01  | 000         | existing.account@gmail.com  | password | password         |
    And I am logged in as random user
    When I visit my profile page
    And I click "My favorites" button
    Then I should see "You haven't favorited any properties yet"

  Scenario: Unauthenticated user cannot access favorites
    When I visit the favorites page
    Then I should be redirected to login page
    And I should see "You are not logged in!"