Feature: FR-04 Password Change

    Scenario: Authenticated user can change their password
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And I am logged in
        And I want to change my password
        And I enter my current password
        And I enter my new password and confirm it
        When I click change password
        Then I should receive a success notification
        And I should be redirected to the login page

    Scenario: Authenticated user cannot change their password when invalid current password
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And I am logged in
        And I want to change my password
        And I enter my current password invalid
        And I enter my new password and confirm it
        When I click change password
        Then I should receive an error message stating invalid current password
        And I should be shown the change password form again

    Scenario: Authenticated user cannot change their password when new passwords don't match
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And I am logged in
        And I want to change my password
        And I enter my current password
        And I enter my new password and confirm it with a password that does not match
        When I click change password
        Then I should receive an error message stating that the new passwords don't match
        And I should be shown the change password form again

    Scenario: Authenticated user cannot change their password when new password is the same as the old password
        Given there exists following accounts
              | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
              | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And I am logged in
        And I want to change my password
        And I enter my current password
        And I enter my new password and confirm it that match the current password
        When I click change password
        Then I should receive an error message stating that the new password is the same as the old password
        And I should be shown the change password form again

