Feature: Property Update

    Scenario: Owner can update their property
        Given there exists following accounts
            | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
            | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And the following properties exist
            | title                | description                       | type  | property_type | state      | location | room_count | area  | floor | floor_count | price
            | Really cool property | Selling this really really house  | sell  | house         | available  | London   | 3          | 100.0 | 2     | 5           | 500000
        And I am logged in
        And I navigate to my property's details page
        When I click the edit button
        And I update the following fields
            | title                   | description                            | type | property_type | state    | location | room_count | area  | floor | price  |
            | Really AMAZING property | Pls rent this really amazing apartment | rent | apartment     | reserved | Paris    | 4          | 120.0 | 3     | 600    |
        And I click save changes
        Then I should see a success message
        And I should be redirected back to the property page
        And I should see the updated property details

    Scenario: Owner cannot update their property when entering invalid details
        Given there exists following accounts
            | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
            | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
        And the following properties exist
            | title                | description                       | type  | property_type | location | room_count | area  | floor | floor_count | price
            | Really cool property | Selling this really really house  | sell  | house         | London   | 3          | 100.0 | 2     | 5           | 500000
        And I am logged in
        And I navigate to my property's details page
        When I click the edit button
        And I update the following fields
            | title     | description | type | property_type | state     | location | room_count | area   | floor | price  |
            | Too short | Too short   | rent | house         | available | Paris    | 4          | -120.0 | 3     | -600   |
        And I click save changes
        Then I should see error message
        And I should see the edit page again

    Scenario: A random user cannot update a property
        Given there exists following accounts
            | name     | surname | birth_date | phone_number | email                      | password | confirm_password |
            | Existing | Account | 2000-01-01 | 000          | existing.account@gmail.com | password | password         |
            | Random   | Account | 2000-01-01 | 000          | random.account@gmail.com   | password | password         |
        And the following properties exist
            | title                | description                       | type  | property_type | state      | location | room_count | area  | floor | floor_count | price
            | Really cool property | Selling this really really house  | sell  | house         | available  | London   | 3          | 100.0 | 2     | 5           | 500000
        And I am logged in as a random user who does not own the advertisement
        And I navigate to the property's details page
        Then I should not see an edit button
