defmodule PropTrackr.NotInterested do
  use Ecto.Schema
  import Ecto.Changeset

  schema "not_interested" do
    belongs_to :user, PropTrackr.Accounts.User
    belongs_to :property, PropTrackr.Properties.Property
    timestamps()
  end

  def changeset(not_interested, attrs \\ %{}) do
    not_interested
    |> cast(attrs, [:user_id, :property_id])
    |> validate_required([:user_id, :property_id])
    |> unique_constraint([:user_id, :property_id])
  end
end
