defmodule PropTrackr.Uploads do
  def upload_file(%{filename: filename, path: temp_path}) do
    extension = Path.extname(filename)
    file_uuid = Ecto.UUID.generate()
    new_filename = "#{file_uuid}#{extension}"

    # Define uploads directory
    uploads_dir = Application.app_dir(:proptrackr, "priv/static/uploads")

    # Ensure directory exists
    File.mkdir_p!(uploads_dir)

    # Build final path
    final_path = Path.join(uploads_dir, new_filename)

    # Copy file from temp path to final destination
    File.cp!(temp_path, final_path)

    # Return the filename that was saved
    new_filename
  end
end
