defmodule PropTrackrWeb.PasswordController do
  use PropTrackrWeb, :controller

  alias PropTrackr.Repo
  alias PropTrackr.Accounts.User
  import Ecto.Query, only: [from: 2]

  def index(conn, _params) do
    render conn, "index.html"
  end

  def create(conn, %{"current_password" => current_password, "new_password" => new_password, "new_password_confirmation" => new_password_confirmation}) do
    cond do
      new_password != new_password_confirmation ->
        conn
        |> put_flash(:error, "New passwords don't match!")
        |> render("index.html")
      # TODO: Insecure, needs refactoring when taking security into account
      new_password == current_password ->
        conn
        |> put_flash(:error, "New password can't be the same as the old password!")
        |> render("index.html")
      true ->
        user_id = get_session(conn, :user_id)
        user = Repo.get(User, user_id)

        if user.password == current_password do
          {row_count, _} = from(u in User, where: u.id == ^user_id, select: u)
                           |> Repo.update_all(set: [password: new_password])

          if row_count == 1 do
            conn
            |> delete_session(:user_id)
            |> put_flash(:info, "Password changed successfully! Please log in again")
            |> redirect(to: ~p"/login")
          else
            # Note: Adding this just in case the update fails for some odd reason
            conn
            |> put_flash(:error, "Unknown error has occurred!")
            |> redirect(to: ~p"/")
          end
        else
          conn
          |> put_flash(:error, "Invalid current password!")
          |> render("index.html")
        end
    end
  end
end
