defmodule PropTrackrWeb.RegisterController do
  use PropTrackrWeb, :controller

  import PropTrackr.Authentication
  alias PropTrackr.Repo
  alias PropTrackr.Accounts.User

  def index(conn, _params) do
    changeset = User.changeset(%User{}, %{})
    render(conn, "index.html", changeset: changeset)
  end

  def create(conn, %{"user" => user_params}) do
    changeset = User.changeset(%User{}, user_params)
    case Repo.insert(changeset) do
      {:ok, user} ->
        conn
          |> put_flash(:info, "User created successfully.")
          |> login(user.id, user)             #Logins if succesfully created
          |> redirect(to: ~p"/users")
      {:error, %Ecto.Changeset{} = changeset} ->
        render(conn, "index.html", changeset: changeset)
    end
  end
end
