defmodule PropTrackr.Repo.Migrations.AddPropertyModel do
  use Ecto.Migration

  def change do
    create table(:properties) do
      add :title, :string
      add :description, :string

      add :reference, :string

      add :type, :string
      add :property_type, :string
      add :state, :string, default: "available"

      add :location, :string

      add :room_count, :integer
      add :area, :float
      add :floor, :integer
      add :floor_count, :integer

      add :price, :float

      add :user_id, references(:users)

      timestamps(type: :utc_datetime)
    end
  end

  def down do
    drop table(:properties)
  end
end
